com.tibbo.aggregate.common.context

## Class FunctionDefinition

- java.lang.Object
- - com.tibbo.aggregate.common.context.AbstractEntityDefinition
  - - com.tibbo.aggregate.common.context.FunctionDefinition

- All Implemented Interfaces:
    EntityDefinition, java.lang.Cloneable, java.lang.Comparable<FunctionDefinition>

      public class FunctionDefinition
      extends AbstractEntityDefinition
      implements java.lang.Cloneable, java.lang.Comparable<FunctionDefinition>

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.context.AbstractEntityDefinition

      `immutable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionDefinition(java.lang.String name, TableFormat inputFormat, TableFormat outputFormat)`
    `FunctionDefinition(java.lang.String name, TableFormat inputFormat, TableFormat outputFormat, java.lang.String description)`
    `FunctionDefinition(java.lang.String name, TableFormat inputFormat, TableFormat outputFormat, java.lang.String description, java.lang.String group)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FunctionDefinition` | `clone()`
    `int` | `compareTo(FunctionDefinition d)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Integer` | `getEntityType()`
    `FunctionImplementation` | `getImplementation()`
    `TableFormat` | `getInputFormat()`
    `TableFormat` | `getOutputFormat()`
    `Permissions` | `getPermissions()`
    `int` | `hashCode()`
    `boolean` | `isConcurrent()`
    `boolean` | `isHidden()`
    `void` | `setConcurrent(boolean concurrent)`
    `void` | `setHidden(boolean hidden)`
    `void` | `setImplementation(FunctionImplementation implementation)`
    `void` | `setInputFormat(TableFormat inputFormat)`
    `void` | `setOutputFormat(TableFormat outputFormat)`
    `void` | `setPermissions(Permissions permissions)`

    - ### Methods inherited from class com.tibbo.aggregate.common.context.AbstractEntityDefinition

      `getDescription, getGroup, getHelp, getIconId, getIndex, getName, getOwner, isImmutable, setDescription, setGroup, setHelp, setIconId, setImmutable, setIndex, setName, setOwner, toDetailedString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionDefinition

          public FunctionDefinition(java.lang.String name,
                                    TableFormat inputFormat,
                                    TableFormat outputFormat)

    - #### FunctionDefinition

          public FunctionDefinition(java.lang.String name,
                                    TableFormat inputFormat,
                                    TableFormat outputFormat,
                                    java.lang.String description)

    - #### FunctionDefinition

          public FunctionDefinition(java.lang.String name,
                                    TableFormat inputFormat,
                                    TableFormat outputFormat,
                                    java.lang.String description,
                                    java.lang.String group)

  - ### Method Detail

    - #### getInputFormat

          public TableFormat getInputFormat()

    - #### getOutputFormat

          public TableFormat getOutputFormat()

    - #### isHidden

          public boolean isHidden()

    - #### getPermissions

          public Permissions getPermissions()

    - #### getImplementation

          public FunctionImplementation getImplementation()

    - #### setInputFormat

          public void setInputFormat(TableFormat inputFormat)

    - #### setOutputFormat

          public void setOutputFormat(TableFormat outputFormat)

    - #### setHidden

          public void setHidden(boolean hidden)

    - #### setPermissions

          public void setPermissions(Permissions permissions)

    - #### isConcurrent

          public boolean isConcurrent()

    - #### setConcurrent

          public void setConcurrent(boolean concurrent)

    - #### setImplementation

          public void setImplementation(FunctionImplementation implementation)

    - #### clone

          public FunctionDefinition clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(FunctionDefinition d)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<FunctionDefinition>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getEntityType

          public java.lang.Integer getEntityType()

      Specified by:
        `getEntityType` in interface `EntityDefinition`
      Overrides:
        `getEntityType` in class `AbstractEntityDefinition`